FIGURE 2 10

*-----------------------------------------------------------------------------*
* Nominal on-chip timing
*
* A Signal Integrity Engineer's Companion
* ISBN 978-0-13-186006-3
* Greg Edlund
* 06/21/08
*-----------------------------------------------------------------------------*

*-----------------------------------------------------------------------------*
* circuit and transistor models
*-----------------------------------------------------------------------------*

.include ../models/circuit.inc
.include ../models/envt_nom.inc

*-----------------------------------------------------------------------------*
* main circuit
*-----------------------------------------------------------------------------*

vdat  10 0 pulse (0 3.3V 1.0ns 0.1ns 0.1ns 6.0ns 100ns)

* nominal clocks
vclk1 31 0 pulse (0 3.3V 2.0ns 0.1ns 0.1ns 2.4ns 5ns)
vclk2 32 0 pulse (0 3.3V 2.0ns 0.1ns 0.1ns 2.4ns 5ns)

* early mode clocks
*vclk1 31 0 pulse (0 3.3V 2.0ns 0.1ns 0.1ns 2.4ns 5ns)
*vclk2 32 0 pulse (0 3.3V 2.5ns 0.1ns 0.1ns 2.4ns 5ns)

* late mode clocks
*vclk1 31 0 pulse (0 3.3V 2.0ns 0.1ns 0.1ns 2.4ns 5ns)
*vclk2 32 0 pulse (0 3.3V 1.5ns 0.1ns 0.1ns 2.4ns 5ns)

*  d   q   clk vss  vdd
x1 10  20  31  100  200 flipflop

* nominal delay buffer
*  a   z   vss  vdd
x2 20  21  100  200 buf1ns

* early mode delay buffer
*x2 20  21  100  200 buf0ns

* late mode delay buffer
*x2 20  21  100  200 buf5ns

*  d   q   clk vss  vdd
x3 21  22  32  100  200 flipflop

*-----------------------------------------------------------------------------*
* run controls
*-----------------------------------------------------------------------------*

.tran 0.05ns 20ns
.print tran v(31) v(32) v(21) v(22)
.option ingold=2 numdgt=4 post csdf
.nodeset v(x1.60)=3.3 v(x1.70)=0.0
.nodeset v(x3.60)=3.3 v(x3.70)=0.0

.end
