FIGURE 2 15

*-----------------------------------------------------------------------------*
* Fast interconnect delay with standard load
*
* A Signal Integrity Engineer's Companion
* ISBN 978-0-13-186006-3
* Greg Edlund
* 06/21/08
*-----------------------------------------------------------------------------*

*-----------------------------------------------------------------------------*
* circuit and transistor models
*-----------------------------------------------------------------------------*

.include ../models/circuit.inc
.include ../models/intercon.inc
.include ../models/envt_fast.inc
*.include ../models/envt_nom.inc
*.include ../models/envt_slow.inc

*-----------------------------------------------------------------------------*
* main circuit
*-----------------------------------------------------------------------------*

vil 30 0 1.59
vt  31 0 1.67
vih 32 0 1.75

vdat  10 0 pulse (0 3.465 1.0ns 0.1ns 0.1ns 10ns 100ns)
*vdat  10 0 pulse (0 3.300 1.0ns 0.1ns 0.1ns 10ns 100ns)
*vdat  10 0 pulse (0 3.135 1.0ns 0.1ns 0.1ns 10ns 100ns)

* actual load
*   a  en  pad vss vdd vssio vddio
x1  10 200 20  100 200 100 200 drv50

x2  20   21 0 bga_rlc_wb
t1  21 0 22 0 td=1ns z0=50
x3  22   23 0 bga_rlc_wb

*   a  z  vss vdd
x4  23 24 100 200 rcv

* standard load
*   a  en  pad vss vdd vssio vddio
x5  10 200 40 100 200 100 200 drv50

x6  40 41 0 bga_rlc_wb
c1     41 0 10pF

*-----------------------------------------------------------------------------*
* run controls
*-----------------------------------------------------------------------------*

.tran 0.10ns 10ns
.print tran v(23) v(41)
.option ingold=2 numdgt=4 post csdf probe

.end
