FIGURE 2 20

*-----------------------------------------------------------------------------*
* TDR extraction of IO pin capacitance
*
* A Signal Integrity Engineer's Companion
* ISBN 978-0-13-186006-3
* Greg Edlund
* 06/21/08
*-----------------------------------------------------------------------------*

*-----------------------------------------------------------------------------*
* circuit and device models
*-----------------------------------------------------------------------------*

.include ../models/circuit.inc
*.include ../models/envt_fast.inc
.include ../models/envt_nom.inc
*.include ../models/envt_slow.inc

*-----------------------------------------------------------------------------*
* main circuit
*-----------------------------------------------------------------------------*

vin 10 0 pulse (0.0 2.0 1.0ns 0.05ns 0.05ns 10.0ns 20.0ns)

rin 10 11 50

t1 11 0 12 0 z0=50 td=1ns

c1 12 0 2pF

*   a  z  vss vdd
*x1  12 20 100 200  rcv

*   a en pad vss vdd vssio vddio
*x1  0 0  12  100 200 100   200  drv50

t2 12 0 13 0 z0=50 td=1ns

rt 13 0 50

*-----------------------------------------------------------------------------*
* capacitance calculation  Cpin = (2/Zo))*(intvdt)
*-----------------------------------------------------------------------------*

.meas tran intvdt integ v(12,11) from=2.5ns to=4.0ns

*-----------------------------------------------------------------------------*
* run controls
*-----------------------------------------------------------------------------*

.tran 0.001ns 5ns

.print tran v(11) v(12)

.option ingold=2 numdgt=4 post csdf probe

.end
