TABLE 2 2

*-----------------------------------------------------------------------------*
* IO Timing Budget
*
* A Signal Integrity Engineer's Companion
* ISBN 978-0-13-186006-3
* Greg Edlund
* 06/21/08
*
* Dear Reader:
* Two years after generating the numbers for Table 2-2, I'm not sure where
* I got the numbers in row 4.  This simulation shows about 1.6 ns in the
* fast case and 2.2 ns in the slow case measured at Vdd/2.
*-----------------------------------------------------------------------------*

*-----------------------------------------------------------------------------*
* circuit and device models
*-----------------------------------------------------------------------------*

.include ../models/circuit.inc
.include ../models/envt_fast.inc
*.include ../models/envt_nom.inc
*.include ../models/envt_slow.inc

*-----------------------------------------------------------------------------*
* main circuit
*-----------------------------------------------------------------------------*

vdat 10 0 pulse (0 3.3 1.0ns 0.1ns 0.1ns 6.0ns 100ns)
vclk 30 0 pulse (0 3.3 2.0ns 0.1ns 0.1ns 2.4ns 5ns)

*   d  q  clk vss vdd
x1  10 20 30  100 200  flipflop

*   a  en  pad vss vdd vssio vddio
x2  20 200 21  100 200 100   200  drv50

t1  21 0 22 0 td=1ns z0=50

*   a  z  vss vdd
x3  22 23 100 200 rcv

*   d  q  clk vss vdd
x4  23 24 30  100 200  flipflop

*-----------------------------------------------------------------------------*
* run controls
*-----------------------------------------------------------------------------*

.tran 0.01ns 30ns
.print tran v(10) v(31) v(32)
.print tran v(20) v(21) v(22) v(23) v(24)
.option ingold=2 numdgt=4 post csdf probe
.nodeset v(x1.60)=3.3 v(x1.70)=0.0
.nodeset v(x3.60)=3.3 v(x3.70)=0.0

.end
