FIGURE 4 16

*-----------------------------------------------------------------------------*
* Pulse response of 10-inch lossy line with 50 Ohm termination
*
* A Signal Integrity Engineer's Companion
* ISBN 978-0-13-186006-3
* Greg Edlund
* 06/22/08
*-----------------------------------------------------------------------------*

*-----------------------------------------------------------------------------*
* model library
*-----------------------------------------------------------------------------*

.include ../models/intercon.inc
.include ../models/stripline_4mil.inc

*-----------------------------------------------------------------------------*
* supplies
*-----------------------------------------------------------------------------*

vt0  30 0 0.700
vt1  31 0 0.775
vt2  32 0 0.900
vt3  33 0 1.025
vt4  34 0 1.100
vdd 200 0 1.800

*-----------------------------------------------------------------------------*
* main circuit
*-----------------------------------------------------------------------------*

*vdat 10 0 pat (1 0 0.5ns 0.1ns 0.1ns 1.5ns b0100000000000000)
vdat 10 0 pat (1 0 0.5ns 0.1ns 0.1ns 1.5ns b0110000000000000)
*vdat 10 0 pat (1 0 0.5ns 0.1ns 0.1ns 1.5ns b0111000000000000)

*  pu pd out in en v_out_of_in
b1 96 97 20 10 200 99 file='../models/mac_ddr2.ibs' model='ddr2_40' typ=typ buffer=3

w1 20 0 21 0 tablemodel=stripline_4mil n=1 l=0.254

rt1 21 200 100
rt2 21   0 100

*-----------------------------------------------------------------------------*
* run controls
*-----------------------------------------------------------------------------*

.tran 0.005ns 15ns
.print tran v(10)
.print tran v(21)
.print tran v(30) v(31) v(32) v(33) v(34)
.option ingold=2 numdgt=4 post csdf probe

.end
