FIGURE 9 X

*-----------------------------------------------------------------------------*
* TDR
*
* A Signal Integrity Engineer's Companion
* ISBN 978-0-13-186006-3
* Greg Edlund
* 06/22/08
*-----------------------------------------------------------------------------*

*-----------------------------------------------------------------------------*
* model library
*-----------------------------------------------------------------------------*

.include ../models/pcie_strip.inc

*.model dut s tstonefile='../models/diff_vias.s8p'
.model dut s tstonefile='../models/diff_bga.s8p'
*.model dut s tstonefile='../models/pcie_conn.s8p'

*-----------------------------------------------------------------------------*
* main circuit
*-----------------------------------------------------------------------------*

vdat0 10 0 pat (1 0 400ps 50ps 50ps 400ps b0111111111111111)
vdat1 11 0 pat (1 0 400ps 50ps 50ps 400ps b1000000000000000)

*  pu pd out in
b0 96 97 20 10 file='../models/pciebufs.ibs' model='pcietx' typ=typ buffer=2
b1 98 99 21 11 file='../models/pciebufs.ibs' model='pcietx' typ=typ buffer=2

w0 20 21 0 30 31 0 tablemodel=pcie_strip n=2 l=0.15

* use this statement with BGA and vias
s0 30 40 80 90 31 41 81 91 0 mname=dut

* use this statement with PCIe connector
*s0 30 31 80 81 40 41 90 91 mname=dut

w1 40 41 0 50 51 0 tablemodel=pcie_strip n=2 l=0.15

rt 50 51 100

rt80 80 81 100
rt90 90 91 100

*-----------------------------------------------------------------------------*
* run controls
*-----------------------------------------------------------------------------*

.tran 0.001ns 10ns
.print tran v(10) v(11) v(10,11)
.print tran v(20) v(21) v(20,21)
.print tran v(30) v(31) v(30,31)
.option ingold=2 numdgt=4 post csdf probe

.end
