*------------------------------------------------------------------------------*
*            a   z   vss  vdd
.subckt inv  10  20  100  200
*------------------------------------------------------------------------------*

mp1  20 10 200 200 cmosp l=0.5u w=2.5u
mn1  20 10 100 100 cmosn l=0.5u w=1.0u

.ends


*------------------------------------------------------------------------------*
*            a   z   vss  vdd
.subckt buf  10  20  100  200
*------------------------------------------------------------------------------*

x1  10 11 100 200 inv
x2  11 20 100 200 inv

.ends


*------------------------------------------------------------------------------*
*               a   z   vss  vdd
.subckt buf0ns  10  20  100  200
*------------------------------------------------------------------------------*

r1 10 20 0.001

.ends


*------------------------------------------------------------------------------*
*               a   z   vss  vdd
.subckt buf1ns  10  20  100  200
*------------------------------------------------------------------------------*

x1  10 11 100 200 buf
x2  11 12 100 200 buf
x3  12 13 100 200 buf
x4  13 14 100 200 buf
x5  14 15 100 200 buf
x6  15 16 100 200 buf
x7  16 17 100 200 buf
x8  17 18 100 200 buf
x9  18 20 100 200 buf

.ends


*------------------------------------------------------------------------------*
*               a   z   vss  vdd
.subckt buf4ns  10  20  100  200
*------------------------------------------------------------------------------*

x1  10 11 100 200 buf1ns
x2  11 12 100 200 buf1ns
x3  12 13 100 200 buf1ns
x4  13 20 100 200 buf1ns

.ends


*------------------------------------------------------------------------------*
*               a   z   vss  vdd
.subckt buf5ns  10  20  100  200
*------------------------------------------------------------------------------*

x1  10 11 100 200 buf1ns
x2  11 12 100 200 buf1ns
x3  12 13 100 200 buf1ns
x4  13 14 100 200 buf1ns
x5  14 20 100 200 buf1ns

.ends


*------------------------------------------------------------------------------*
*              d   q   clk vss  vdd
.subckt latch  10  20  30  100  200
*------------------------------------------------------------------------------*

* d (data in)

xi1  10 15 100 200  inv

* clock and clock-bar

xi2  30 35 100 200  inv
xi3  35 40 100 200  inv

* pass gates

mp1  15 40 50 200  cmosp l=0.5u w=2.5u
mn1  15 35 50 100  cmosn l=0.5u w=1.0u

mp2  60 35 50 200  cmosp l=0.5u w=2.5u
mn2  60 40 50 100  cmosn l=0.5u w=1.0u

* feedback network

xi4  50 55 100 200  inv
xi5  55 60 100 200  inv

* q (data out)

xi6  50 20 100 200  inv

.ends


*------------------------------------------------------------------------------*
*                d   q   clk vss  vdd
.subckt flipflop 10  20  30  100  200
*------------------------------------------------------------------------------*

* d (data in)

xi1  10 15 100 200  inv

* clock and clock-bar

xi2  30 35 100 200  inv
xi3  35 40 100 200  inv

* pass gates for first latch

mp1  15 40 50 200  cmosp l=0.5u w=2.5u
mn1  15 35 50 100  cmosn l=0.5u w=1.0u

mp2  60 35 50 200  cmosp l=0.5u w=2.5u
mn2  60 40 50 100  cmosn l=0.5u w=1.0u

* feedback network for first latch

xi4  50 55 100 200  inv
xi5  55 60 100 200  inv

* pass gates for second latch

mp3  55 35 70 200  cmosp l=0.5u w=2.5u
mn3  55 40 70 100  cmosn l=0.5u w=1.0u

mp4  80 40 70 200  cmosp l=0.5u w=2.5u
mn4  80 35 70 100  cmosn l=0.5u w=1.0u

* feedback network for second latch

xi6  70 75 100 200  inv
xi7  75 80 100 200  inv

* q (data out)

xi8  75 20 100 200  inv

.ends


*------------------------------------------------------------------------------*
*            pad  z   vss  vdd
.subckt rcv  10   20  100  200
*------------------------------------------------------------------------------*

mp1  15 10 200 200 cmosp l=0.5u w=5.2u
mn1  15 10 100 100 cmosn l=0.5u w=1.0u

mp2  20 15 200 200 cmosp l=0.5u w=5.2u
mn2  20 15 100 100 cmosn l=0.5u w=1.0u

desd1  100  10  esd area=200
desd2   10 200  esd area=200

cpad 10 100 1pF

.ends


*------------------------------------------------------------------------------*
*                a   b   z   vss  vdd
.subckt drvnand  10  20  30  100  200
*------------------------------------------------------------------------------*

mp1  30 10 200 200 cmosp l=0.5u w=25.0u
mp2  30 20 200 200 cmosp l=0.5u w=25.0u
mn1  30 10  40 100 cmosn l=0.5u w=10.0u
mn2  40 20 100 100 cmosn l=0.5u w=10.0u

.ends


*------------------------------------------------------------------------------*
*               a   b   z   vss  vdd
.subckt drvnor  10  20  30  100  200
*------------------------------------------------------------------------------*

mp1  40 10 200 200 cmosp l=0.5u w=25.0u
mp2  40 20  30 200 cmosp l=0.5u w=25.0u
mn1  30 10 100 100 cmosn l=0.5u w=10.0u
mn2  30 20 100 100 cmosn l=0.5u w=10.0u

.ends


*------------------------------------------------------------------------------*
*                   g   pad  vddio
.subckt drv50_pmos  10  30   2000
*------------------------------------------------------------------------------*

mpout01 30 10 2000 2000 cmosp l=0.5u w=20.0u
mpout02 30 10 2000 2000 cmosp l=0.5u w=20.0u
mpout03 30 10 2000 2000 cmosp l=0.5u w=20.0u
mpout04 30 10 2000 2000 cmosp l=0.5u w=20.0u
mpout05 30 10 2000 2000 cmosp l=0.5u w=20.0u
mpout06 30 10 2000 2000 cmosp l=0.5u w=20.0u
mpout07 30 10 2000 2000 cmosp l=0.5u w=20.0u
mpout08 30 10 2000 2000 cmosp l=0.5u w=20.0u
mpout09 30 10 2000 2000 cmosp l=0.5u w=20.0u
mpout10 30 10 2000 2000 cmosp l=0.5u w=20.0u
mpout11 30 10 2000 2000 cmosp l=0.5u w=10.7u

.ends


*------------------------------------------------------------------------------*
*                   g   pad  vssio
.subckt drv50_nmos  10  30   1000
*------------------------------------------------------------------------------*

mnout01 30 10 1000 1000 cmosn l=0.5u w=20.0u
mnout02 30 10 1000 1000 cmosn l=0.5u w=20.0u
mnout03 30 10 1000 1000 cmosn l=0.5u w=20.0u
mnout04 30 10 1000 1000 cmosn l=0.5u w=11.5u

.ends


*------------------------------------------------------------------------------*
*              a   en  pad  vss  vdd  vssio vddio
.subckt drv50  10  20  30   100  200  1000  2000
*------------------------------------------------------------------------------*

xnand  10 20 40 100 200  drvnand
xnor   10 60 50 100 200  drvnor
xinv      20 60 100 200  inv

mpout01 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout02 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout03 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout04 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout05 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout06 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout07 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout08 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout09 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout10 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout11 30 40 2000 2000 cmosp l=0.5u w=10.7u

mnout01 30 50 1000 1000 cmosn l=0.5u w=20.0u
mnout02 30 50 1000 1000 cmosn l=0.5u w=20.0u
mnout03 30 50 1000 1000 cmosn l=0.5u w=20.0u
mnout04 30 50 1000 1000 cmosn l=0.5u w=11.5u

desd1  1000   30  esd area=200
desd2    30 2000  esd area=200

cpad 30 1000 1pF

.ends


*------------------------------------------------------------------------------*
*             a   en  pad  z   vss  vdd  vssio vddio
.subckt bidi  10  20  30   40  100  200  1000  2000
*------------------------------------------------------------------------------*

* receiver

xinv1  30 15    100 200  inv
xinv2  15 40    100 200  inv

* driver

xnand  10 20 40 100 200  drvnand
xnor   10 60 50 100 200  drvnor
xinv      20 60 100 200  inv

mpout01 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout02 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout03 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout04 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout05 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout06 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout07 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout08 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout09 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout10 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout11 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout12 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout13 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout14 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout16 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout17 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout18 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout19 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout20 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout21 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout22 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout23 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout24 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout26 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout27 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout28 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout29 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout30 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout31 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout32 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout33 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout34 30 40 2000 2000 cmosp l=0.5u w=20.0u
mpout35 30 40 2000 2000 cmosp l=0.5u w=20.0u

mnout01 30 50 1000 1000 cmosn l=0.5u w=20.0u
mnout02 30 50 1000 1000 cmosn l=0.5u w=20.0u
mnout03 30 50 1000 1000 cmosn l=0.5u w=20.0u
mnout04 30 50 1000 1000 cmosn l=0.5u w=20.0u
mnout05 30 50 1000 1000 cmosn l=0.5u w=20.0u
mnout06 30 50 1000 1000 cmosn l=0.5u w=20.0u
mnout07 30 50 1000 1000 cmosn l=0.5u w=20.0u
mnout08 30 50 1000 1000 cmosn l=0.5u w=20.0u
mnout09 30 50 1000 1000 cmosn l=0.5u w=20.0u

desd1  1000   30  esd area=200
desd2    30 2000  esd area=200

cpad 30 1000 1pF

.ends


